Bug 215809 - sysutils/apcupsd missing --enable-modbus-usb config option
Summary: sysutils/apcupsd missing --enable-modbus-usb config option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL: https://reviews.freebsd.org/D11224
Keywords: needs-qa
Depends on:
Blocks: 220002
  Show dependency treegraph
 
Reported: 2017-01-05 21:35 UTC by ipluta
Modified: 2017-06-19 22:51 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (itetcu)


Attachments
apcupsd Makefile patch for --enable-modbus-usb (1.36 KB, patch)
2017-01-05 22:46 UTC, ipluta
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ipluta 2017-01-05 21:35:37 UTC
--enable-modbus-usb configure option appeared in apcupsd some time ago but sysutils/apcupsd did not follow. The patch below fixes that. Please apply, if possible.

--- apcupsd/Makefile    2016-12-04 11:30:47.000000000 +0100
+++ apcupsd.enable-modbus-usb/Makefile  2017-01-05 21:42:25.659985000 +0100
@@ -29,8 +29,8 @@
 LIBS+=         -L${LOCALBASE}/lib
 
 OPTIONS_DEFINE=        APCSMART_DRV APCDUMB_DRV CLIENT_ONLY CGI PCNET_DRV USB SNMP_DRV \
-               SNMP_DRV_OLD TCP_WRAPPERS TEST_DRV GAPCMON DOCS MODBUS
-OPTIONS_DEFAULT=       APCSMART_DRV APCDUMB_DRV PCNET_DRV USB TCP_WRAPPERS MODBUS
+               SNMP_DRV_OLD TCP_WRAPPERS TEST_DRV GAPCMON DOCS MODBUS MODBUS_USB
+OPTIONS_DEFAULT=       APCSMART_DRV APCDUMB_DRV PCNET_DRV USB TCP_WRAPPERS MODBUS MODBUS_USB
 APCSMART_DRV_DESC=     Compile APC SmartUPS serial driver
 APCDUMB_DRV_DESC=      Compile dumb UPS driver
 CLIENT_ONLY_DESC=      Only NIS client (no network server or drivers)
@@ -43,6 +43,7 @@
 TEST_DRV_DESC=         Compile TEST driver
 GAPCMON_DESC=          Build GTK GUI front-end
 MODBUS_DESC=           Compile with MODBUS driver
+MODBUS_USB_DESC=       Compile with MODBUS USB driver
 
 #PORTDOCS=     ${PORTNAME}.pdf
 
@@ -62,6 +63,7 @@
 USB_CONFIGURE_ENABLE=          usb
 SNMP_DRV_CONFIGURE_ENABLE=     snmp
 MODBUS_CONFIGURE_ENABLE=       modbus
+MODBUS_USB_CONFIGURE_ENABLE=   modbus-usb
 SNMP_DRV_OLD_CONFIGURE_ENABLE= net-snmp
 SNMP_DRV_OLD_LIB_DEPENDS=      libnetsnmp.so:net-mgmt/net-snmp
 TCP_WRAPPERS_CONFIGURE_WITH=   libwrap=yes
Comment 1 ipluta 2017-01-05 22:46:00 UTC
Created attachment 178564 [details]
apcupsd Makefile patch for --enable-modbus-usb

patch an an attachment
Comment 2 Rene Ladan freebsd_committer 2017-02-27 20:51:01 UTC
Maintainer reset.
Comment 3 Danilo G. Baio freebsd_committer 2017-06-15 14:21:00 UTC
I'll take it.
Comment 4 commit-hook freebsd_committer 2017-06-19 22:46:39 UTC
A commit references this bug:

Author: dbaio
Date: Mon Jun 19 22:45:59 UTC 2017
New revision: 443914
URL: https://svnweb.freebsd.org/changeset/ports/443914

Log:
  sysutils/apcupsd: Several improvements

  Add support for running multiple instances of apcupsd[1]
  Add an option to use `shutdown -p` rather than `shutdown -h`[2]
  Set as @sample several scripts that can be customized[3]
  Add an option for build with MODBUS USB driver support (Enabled by default)[4]
  Set LICENSE_FILE [5]
  Sort OPTIONS and make a small adjustment in pkg-message
  Take maintainer'ship

  PR:		180336 [1]
  PR:		187924 [2][3]
  PR:		215809 [4]
  PR:		220002 [5]

  Submitted by:	leres@ee.lbl.gov [1]
  Submitted by:	tdb [3]
  Submitted by:	ipluta@wp.pl [4]
  Submitted by:	takefu@airport.fm [5]

  Approved by:	garga (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11224

Changes:
  head/sysutils/apcupsd/Makefile
  head/sysutils/apcupsd/files/apcupsd.in
  head/sysutils/apcupsd/files/patch-platforms_etc_Makefile
  head/sysutils/apcupsd/files/pkg-message.in
  head/sysutils/apcupsd/pkg-plist
Comment 5 Danilo G. Baio freebsd_committer 2017-06-19 22:51:08 UTC
Committed, thanks.